<?php

namespace dgsoft\StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for ServiceFeeInfoRS StructType
 * @package Dg
 * @subpackage Structs
 */
class DgServiceFeeInfoRS extends AbstractStructBase
{
    /**
     * The Warnings
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \dgsoft\StructType\DgWarningsType
     */
    public $Warnings;
    /**
     * The ServiceFees
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \dgsoft\StructType\DgServiceFeesType
     */
    public $ServiceFees;
    /**
     * The Success
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \dgsoft\StructType\DgSuccessType
     */
    public $Success;
    /**
     * The Errors
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \dgsoft\StructType\DgErrorsType
     */
    public $Errors;
    /**
     * Constructor method for ServiceFeeInfoRS
     * @uses DgServiceFeeInfoRS::setWarnings()
     * @uses DgServiceFeeInfoRS::setServiceFees()
     * @uses DgServiceFeeInfoRS::setSuccess()
     * @uses DgServiceFeeInfoRS::setErrors()
     * @param \dgsoft\StructType\DgWarningsType $warnings
     * @param \dgsoft\StructType\DgServiceFeesType $serviceFees
     * @param \dgsoft\StructType\DgSuccessType $success
     * @param \dgsoft\StructType\DgErrorsType $errors
     */
    public function __construct(\dgsoft\StructType\DgWarningsType $warnings = null, \dgsoft\StructType\DgServiceFeesType $serviceFees = null, \dgsoft\StructType\DgSuccessType $success = null, \dgsoft\StructType\DgErrorsType $errors = null)
    {
        $this
            ->setWarnings($warnings)
            ->setServiceFees($serviceFees)
            ->setSuccess($success)
            ->setErrors($errors);
    }
    /**
     * Get Warnings value
     * @return \dgsoft\StructType\DgWarningsType|null
     */
    public function getWarnings()
    {
        return $this->Warnings;
    }
    /**
     * Set Warnings value
     * @param \dgsoft\StructType\DgWarningsType $warnings
     * @return \dgsoft\StructType\DgServiceFeeInfoRS
     */
    public function setWarnings(\dgsoft\StructType\DgWarningsType $warnings = null)
    {
        $this->Warnings = $warnings;
        return $this;
    }
    /**
     * Get ServiceFees value
     * @return \dgsoft\StructType\DgServiceFeesType|null
     */
    public function getServiceFees()
    {
        return $this->ServiceFees;
    }
    /**
     * Set ServiceFees value
     * @param \dgsoft\StructType\DgServiceFeesType $serviceFees
     * @return \dgsoft\StructType\DgServiceFeeInfoRS
     */
    public function setServiceFees(\dgsoft\StructType\DgServiceFeesType $serviceFees = null)
    {
        $this->ServiceFees = $serviceFees;
        return $this;
    }
    /**
     * Get Success value
     * @return \dgsoft\StructType\DgSuccessType|null
     */
    public function getSuccess()
    {
        return $this->Success;
    }
    /**
     * Set Success value
     * @param \dgsoft\StructType\DgSuccessType $success
     * @return \dgsoft\StructType\DgServiceFeeInfoRS
     */
    public function setSuccess(\dgsoft\StructType\DgSuccessType $success = null)
    {
        $this->Success = $success;
        return $this;
    }
    /**
     * Get Errors value
     * @return \dgsoft\StructType\DgErrorsType|null
     */
    public function getErrors()
    {
        return $this->Errors;
    }
    /**
     * Set Errors value
     * @param \dgsoft\StructType\DgErrorsType $errors
     * @return \dgsoft\StructType\DgServiceFeeInfoRS
     */
    public function setErrors(\dgsoft\StructType\DgErrorsType $errors = null)
    {
        $this->Errors = $errors;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \dgsoft\StructType\DgServiceFeeInfoRS
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
